### Method

# GimpUi Ruler get_range

since: 2.8

#### Declaration [src]

    void
    gimp_ruler_get_range (
      GimpRuler* ruler,
      gdouble* lower,
      gdouble* upper,
      gdouble* max_size
    )

#### Description [src]

Retrieves values indicating the range and current position of a `GimpRuler`. See gimp_ruler_set_range().

Available since: 2.8

#### Parameters

`lower`

  Type: `gdouble*`

  Location to store lower limit of the ruler, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.

`upper`

  Type: `gdouble*`

  Location to store upper limit of the ruler, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.

`max_size`

  Type: `gdouble*`

  Location to store the maximum size of the ruler used when calculating the space to leave for the text, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.